import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# planner roster remove

Removes a Microsoft Planner Roster

## Usage

```sh
m365 planner roster remove [options]
```

## Options

```md definition-list
`--id <id>`
: ID of the Planner Roster.

`-f, --force`
: Don't prompt for confirmation.
```

<Global />

## Remarks

:::warning

Deleting a Planner Roster will also delete the plan within the Roster.

:::

:::warning

This command is based on an API that is currently in preview and is subject to change once the API reached general availability.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions     |
  |-----------------|-----------------|
  | Microsoft Graph | Tasks.ReadWrite |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions         |
  |-----------------|---------------------|
  | Microsoft Graph | Tasks.ReadWrite.All |

  </TabItem>
</Tabs>

## Examples

Removes a Planner Roster

```sh
m365 planner roster remove --id 8bc07d47-c06f-41e1-8f00-1c113c8f6067
```

Removes a Planner Roster without confirmation prompt

```sh
m365 planner roster remove --id 8bc07d47-c06f-41e1-8f00-1c113c8f6067 --force
```

## Response

The command won't return a response on success.

## More information

Rosters are a new type of container for Microsoft Planner plans. This enables users to create a Planner plan without the need to create a new Microsoft 365 group (with a mailbox, SharePoint site, ...). Access to Roster-contained plans is controlled by the members on the Roster. A Planner Roster can contain only 1 plan.
